Webhooks
Test a Webhook
Queue a non-subscribable test delivery for an endpoint.
POST
/v1/webhooks/:webhook_id/test- Authentication
- Bearer API key
- Request
- JSON body
- Response
- 202 JSON
- Billing
- No direct charge
- Execution
- Async — inspect delivery
Queues one webhook.test delivery using the same envelope and delivery path as lifecycle events. The test event is not a subscription type, so it can be used regardless of the endpoint's configured events.
Path parameters
| Name | Type | Description |
|---|---|---|
| webhook_idrequired | uuid | Webhook configuration ID. |
The response initially has delivery_status: "pending". Check delivery history for the final status.
curl -X POST 'https://api.gluecrawl.ai/v1/webhooks/WEBHOOK_ID/test' \ -H 'Authorization: Bearer glue_yourApiKeyHere'Responses
application/json
{ "id": "evt_01jz4jn9n5ecwk3e3hvqkwv15e", "type": "webhook.test", "api_version": "2026-07-30", "created_at": "2026-08-02T14:05:00Z", "data": { "job_id": null, "job_status": null, "run_id": null, "run_status": null, "error": null }, "delivery_status": "pending", "attempted_at": null, "finished_at": null, "response_status": null, "delivery_error": null}